import { Entity, Column, ManyToOne, PrimaryGeneratedColumn } from 'typeorm';
import { IsNotEmpty, IsNumber, IsString } from 'class-validator';
import { Album } from '@/album/album.entity';

@Entity()
export class Song {
  @PrimaryGeneratedColumn()
  id: number

  @Column()
  @IsString()
  @IsNotEmpty()
  title: string

  @Column()
  @IsNumber()
  duration: number

  @Column()
  @IsNumber()
  trackNumber: number

  @ManyToOne(() => Album, (album) => album.songs)
  album: Album
}
